body {
  margin: auto;
  font-family: Tahoma, Verdana, Segoe, sans-serif;
}

h1{
    font-weight: 600;
    font-size: 1.4em;
    text-align: left;
    color: #000000;
}

h2{
    font-weight: 550;
    font-size: 18px;
    text-align: left;
    line-height: normal;
    color: #000000;
    margin-bottom: 1.5em;

}

h3 {
    font-weight: 300;
    font-size: 19px;
    font-style: italic;
    text-align: left;
    color: #000000;
    margin-top: 0px;
    margin-bottom: 2em;
}

p {
    font-size: 18px;
    text-align: left;
    color: #000000;
}

figcaption {
    font-size: 0.8em;
}

#sottotitolo {
    font-weight: 300;
    font-size: 19px;
    font-style: italic;
    text-align: left;
    color: #000000;
    margin-top: 0px;
    margin-bottom: 2em;
}

#servizi {
    font-weight: 700;
    font-size: 20px;
    text-align: left;
    line-height: normal;
    color: #000000;
    margin-bottom: 1.5em;
}

.container {
  width: 100%;
  height: 100%;
  color: red;
}

.header {
    background-color: var(--bgcolor);
    /* width: 100%; */
    /* height: 5%; */
    /* overflow: hidden; */
    padding: 0.8em;
    display: flex;
    justify-content: space-between;
}

@media screen and (max-width: 600px) {
.main {
  background: #FFFFFF;
  max-width: 100%;
  max-height: 100%;
  color: black;
  margin-bottom: 50px;
  margin: 10px;
}
}

@media screen and (min-width: 900px) {
.main {
  background: #FFFFFF;
  max-width: 100%;
  max-height: 100%;
  color: black;
  margin-bottom: 50px;
  margin-left: 25px;
  margin-right: 25px;
  margin-top: 25px;
}
}

.footer {
  height: 100%;
  background: #000000;
  font-color: #FFFFFF;
  padding: 10px;
}

.footer p {
  font-size: 14px;
  text-align: center;
  color: #FFFFFF;
  
}

.footer a {
  align: center;
  font-color: #FFFFFF;
}


:root {
    --bgcolor: #343A40;

}
.logo-img {
    color: white;
    margin: 6px;
}

.nav-bar {
    /* background-color: #ffffff; */
    /* border: solid red; */
    margin-top: 20px;
    z-index:100;
}

.nav-bar a   {
    color: white;
    /* margin-right: 2rem; */
    padding: 0.8rem;
    cursor: pointe  r;
    text-decoration: none;
}

.nav-bar a:hover {
    background-color: #5052db;

}

.nav-bar a.active {
    background-color: #f64c72;

}

.menu-icon {
    color: white;
    cursor: pointer;
    display: none;
    font-size: 2em;
    color: #ffffff;
    line-height: 40px;
}

a:link {
  text-decoration: none;
}

@media screen and (max-width: 700px) {
.nav-bar {
   /* visibility: hidden; */
    /* flex-direction: column; */
        display: none;
        position: absolute;
        top: 3rem;
        left: 0;
        width: 100%;
        background-color: var(--bgcolor);
        text-align: center;
}

.nav-bar.responsive {
        display: block;
}
    

.nav-bar a {
        /* visibility: hidden; */
        /* display: none;  */
        display: block;

}

.menu-icon {
        display: block;
        z-index: 1;
        /* position: absolute;
        top:0;
        right: 0; */
 }
}


/* footer social media button */
.fa {
  padding: 10px;
  font-size: 30px;
  width: 30px;
  text-align: center;
  text-decoration: none;
}

/* Add a hover effect if you want */
.fa:hover {
  opacity: 0.7;
}

/* Set a specific color for each brand */

/* Whatsapp */
.fa-whatsapp {
  aria-hidden: true;
  color: green;
}

/* Facebook */
.fa-facebook {
  aria-hidden: true;
  color: #3B5998;
}

/* Instagram */
.fa-instagram {
  aria-hidden: true;
  color: #D62976;
}

/* Youtube */
.fa-youtube {
  aria-hidden: true;
  color: red;
}

/* Youtube */
.fa-phone {
  aria-hidden: true;
  color: #808080;
}

/* Email */
.fa-envelope {
  aria-hidden: true;
  color: #189AE3;
}

/* Stelle */
.fa-star {
  aria-hidden: true;
  color: #E2BB00;
}

.button {
  background-color: #4CAF50; /* Green */
  border: none;
  color: white;
  padding: 15px 32px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
}

/* Player generi musicali */
.play-pause-button{
  font-size: 10px;
  cursor: pointer;
}

/* Form */
input, textarea { /* Stili per il campo di testo e per la textarea */
line-height: 25px; /* Altezza di riga */
}

.flex {
  background-color: #776fac;
  display: flex;
  flex-wrap: wrap;
  background: #FFFFFF;
  border:1px solid #FFFFFF;
}

.flex > div {
  background-color: #FAFAFA;
  border:1px solid #CCCCCC;
  margin: 9px;
  text-align: left;
  font-size: 18px;
  width: 390px;
  padding: 10px;
  row-gap: 25px;
}

.left-div {
  width: 45%;
  display: inline-block;
  text-align: left;
  padding: 25px;
  background-color: #F2F2F2;
  border-radius: 3px;
  vertical-align: top;
}

.right-div {
  width: 44%;
  display: inline-block;
  text-align: left;
  padding: 25px;
  background-color: #F2F2F2;
  border-radius: 3px;
  vertical-align: top;
  margin-left: 25px;
  margin-bottom: 25px;
}

.center-div {
  max-width: 100%;
  display: inline-block;
  text-align: left;
  padding: 25px;
  background-color: #F2F2F2;
  border-radius: 3px;
  vertical-align: top;
}

.left-text p {
  color: #333;
  font-size: 18px;
}

.right-text p {
  color: #333;
  font-size: 18px;
}

.center-text p {
  color: #333;
  font-size: 18px;
}


@media screen and (max-width: 600px) {
.left-div, .right-div
   {
     width: 338px;
     margin-top: 0;
     margin-right: 0;
     margin-bottom: 20px;
     margin-left: 0;
     font-size: 16px;
     padding: 13px;
   }

.left-text p {
	   color: #333;
	   font-size: 17px;
   }

.right-text p {
	   color: #333;
	   font-size: 17px;
   }
}

/* Youtube */

a.button_youtube {
  display: inline-block;
  color: white;
  font-size: 12px;
  font-weight: 300;
  text-decoration: none;
  user-select: none;
  padding: .10em .5em;
  outline: none;
  border: 1px solid rgb(255,255,255);
  border-radius: 7px;
  background: rgb(198,44,44) linear-gradient(rgb(198,44,44), rgb(198,44,44));
  box-shadow: inset 0 -2px 1px rgba(0,0,0,0), inset 0 1px 2px rgba(0,0,0,0), inset 0 0 0 20px rgba(255,255,255,0);
  transition: box-shadow .2s, border-color .2s;
}
a.button_youtube:hover {
  box-shadow: inset 0 -1px 1px rgba(0,0,0,0), inset 0 1px 2px rgba(0,0,0,0), inset 0 0 0 60px rgba(255,255,255,.5);
  text-decoration: none;
}
a.button_youtube:active {
  padding: calc(.10em + 1px) .4em calc(.10em - 1px);
  border-color: rgba(177,159,0,1);
  box-shadow: inset 0 -1px 1px rgba(0,0,0,.1), inset 0 1px 2px rgba(0,0,0,.3), inset 0 0 0 60px rgba(255,255,255,.45);
  text-decoration: none;
}


.hs-responsive-embed-youtube {
position: relative;
padding-bottom: 56.25%; /* 16:9 Aspect Ratio */
}
.hs-responsive-embed-youtube iframe {
position: absolute;
width: 100%!important;
height: 100%!important;
}

/* Responsive layout
@media screen and (max-width: 600px) {
.left-div {
  display: inline-block;
  text-align: left;
  padding: 25px;
  background-color: #F2F2F2;
  border-radius: 3px;
  vertical-align: top;
max-width: 400px;
}
}


/* Dance Chart */

.chart {
   display: grid;
   grid-template-columns: 80px 770px;
   grid-template-rows: 80px 35px 2.5fr;
   gap: 0px 0px;
   grid-auto-flow: row;
   grid-template-areas:
    "cover brani"
    "dettagli dettagli"
    ". .";
}

.leftchart-div {
  max-width: 850px;
  display: inline-block;
  text-align: left;
  padding: 25px;
  background-color: #F2F2F2;
  border-radius: 3px;
  vertical-align: top;
}

.rightchart-div {
  max-width: 325px;
  display: inline-block;
  text-align: left;
  padding: 25px;
  background-color: #F2F2F2;
  border-radius: 3px;
  vertical-align: top;
  margin-left: 25px;
  margin-bottom: 25px;
}

.cover {
  grid-area: cover;
  background-size: cover;
  background-position: center;
  border: 1px solid #111;
  position : relative;
  display:flex;
  justify-content:center;
}

.brani {
  grid-area: brani;
  background-color: #f8f8ff;
  padding: 5px;
}

.brani p{
  margin: 0;
  padding: 0;
}

.dettagli {
  grid-area: dettagli;
  background-color: #f8f8ff;
  padding: 5px;
}

.dettagli p{
  margin: 0;
  padding: 0;
}

.osservati {
  width:100%;
  overflow: hidden;
}

.cover-oss {
  float: left;
  width: 80px;
  height: 80px;
  background-size: cover;
  border: 1px solid #111;
  grid-area: cover;
  background-size: cover;
  background-position: center;
  border: 1px solid #111;
  position : relative;
  display:flex;
  justify-content:center;

}

.brani-oss {
  float:left;
  display:block;
  background-color: #f8f8ff;
  padding: 5px;
  width: 220px;
}

.brani-oss p{
  margin: 0;
  padding: 0;
}


.fa-play {
  color: #000000;
  position:absolute;
  text-align:center;
  font-size: 20px;
}

.fa-pause {
  color: #000000;
  position:absolute;
  text-align:center;
  font-size: 20px;
}

.playbutton {
  cursor: pointer;
  width: 35px;
  height: 35px;
  border-radius: 50%;
  opacity: 0.7;
  top: 50%;
  left: 50%;
  position: absolute;
  transform: translate(-50%, -50%);
  border: 0;
}

.playbutton i {
  top: 50%;
  left: 50%;
  position: absolute;
  transform: translate(-50%, -50%);
}


#myImg {
  border-radius: 5px;
  cursor: pointer;
  transition: 0.3s;
}

#myImg:hover {
  opacity: 0.7;
}

.modal {
  display: none;
  /* Hidden by default */
  position: fixed;
  /* Stay in place */
  z-index: 1;
  /* Sit on top */
  padding-top: 100px;
  /* Location of the box */
  left: 0;
  top: 0;
  width: 100%;
  /* Full width */
  height: 100%;
  /* Full height */
  overflow: auto;
  /* Enable scroll if needed */
  background-color: rgb(0, 0, 0);
  /* Fallback color */
  background-color: rgba(0, 0, 0, 0.9);
  /* Black w/ opacity */
}

.modal-content {
  margin: auto;
  display: block;
  width: 80%;
  max-width: 700px;
}

#caption {
  margin: auto;
  display: block;
  width: 80%;
  max-width: 700px;
  text-align: center;
  color: #ccc;
  padding: 10px 0;
  height: 150px;
}

.modal-content,
#caption {
  animation-name: zoom;
  animation-duration: 0.6s;
}

@keyframes zoom {
  from {
    transform: scale(0)
  }
  to {
    transform: scale(1)
  }
}

.close {
  position: absolute;
  top: 15px;
  right: 35px;
  color: #f1f1f1;
  font-size: 40px;
  font-weight: bold;
  transition: 0.3s;
}

.close:hover,
.close:focus {
  color: #bbb;
  text-decoration: none;
  cursor: pointer;
}

@media only screen and (max-width: 700px) {
  .modal-content {
    width: 100%;
  }
}


/* Responsive layout - makes the two columns stack on top of each other instead of next to each other */
@media screen and (max-width: 600px) {

.chart {
  display: grid;
  grid-template-columns: 30% 70%;
  grid-template-rows: 100px 35px 2.5fr;
  gap: 0px 0px;
  grid-auto-flow: row;
  grid-template-areas:
    "cover brani"
    "dettagli dettagli"
    ". .";
}

.right-div {
max-width: 500px;
margin-bottom: 10px;
}

.leftchart-div {
margin-bottom: 15px;
}

.rightchart-div {
margin-left: 3px;
}

.brani-oss {
  width: 215px;
}



}